<?php

if (!defined('ABSPATH')) { exit; }

// include(IPAY88_QR_PLUGIN_PATH . '/lib/ipay88-qr-php/ipay88_qr/Indonesia.php');
// Settings for ipay88 Gateway
// Editor: Alda Mustafri

return array(

//enabled
'enabled' 		=> array( 
'title' 		=> __('Status', IPAY88_QR_TEXT_DOMAIN),
'type' 			=> 'checkbox',
'label' 		=> __('Enable iPay88 QR Code Payment', IPAY88_QR_TEXT_DOMAIN),
'default' 		=> 'yes'),
	
//title				
'title' 		=> array( 
'title' 		=> __('Title', IPAY88_QR_TEXT_DOMAIN),
'type' 			=> 'text',
'description' 	=> __('This controls the title which the user sees during checkout.', IPAY88_QR_TEXT_DOMAIN),
'default' 		=> __('QR Code', IPAY88_QR_TEXT_DOMAIN)),

//desc			
'description' 	=> array( 
'title' 		=> __('Description', IPAY88_QR_TEXT_DOMAIN),
'type' 			=> 'textarea',
'description' 	=> __('This controls the description which the user sees during checkout.', IPAY88_QR_TEXT_DOMAIN),
'default' 		=> __("Please note that your payment is processed by iPay88 Payment Gateway. The page will redirect to iPay88 payment page when you press Place Order button.", IPAY88_QR_TEXT_DOMAIN)),

//mcode										
'merchant_code' => array(	
'title' 		=> __('Merchant Code', IPAY88_QR_TEXT_DOMAIN),
'type' 			=> 'text',
'description'	=> __('The Merchant Code provided by iPay88 and used to uniquely identify the Merchant.', IPAY88_QR_TEXT_DOMAIN),
'default' 		=> ''),
	
//mkey						
'merchant_key' 	=> array(	
'title' 		=> __('Merchant Key', IPAY88_QR_TEXT_DOMAIN),
'type' 			=> 'text',
'description' 	=> __('Provided by iPay88 and shared between iPay88 and merchant only.', IPAY88_QR_TEXT_DOMAIN),'default' 		=> ''),
																													
ipay88_QR_Indonesia::PAYMENT_METHOD_QR_CONFIG => 
array(	'title' 		=> __(ipay88_QR_Indonesia::PAYMENT_METHOD_QR_CONFIG_LABEL, IPAY88_QR_TEXT_DOMAIN),
		'type' 			=> 'select',
		'description' 	=> '',
		'options' 		=> array(ipay88_QR_Indonesia::PAYMENT_METHOD_QR_NOBU => 'Nobu QRIS', ipay88_QR_Indonesia::PAYMENT_METHOD_QR_SHOPEEPAY => 'ShopeePay QRIS'),
		'default' 		=> ipay88_QR_Indonesia::PAYMENT_METHOD_QR_NOBU),

//sandbox				
'test_mode' 	=> array(	
'title' 		=> __('Test Mode (Sandbox)', IPAY88_QR_TEXT_DOMAIN),
'label'			=> __( 'Enable Sandbox', 'wc_ipay88_wallet' ),
'type'			=> 'checkbox',
'description' 	=> __('Sandbox mode provides you with a chance to test your gateway integration with iPay88. The payment requests will be send to the iPay88 sandbox URL.<br/>Disable to start accepting Live payments.', IPAY88_QR_TEXT_DOMAIN),
'default' 		=> 'yes')		

);